## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogSchema.ASESysTableFactory

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogSchema.ASESysTableFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Enclosing class:
  SybaseASECatalogSchema

    public static class SybaseASECatalogSchema.ASESysTableFactory

extends java.lang.Object
implements JDBCTableLoader.ITableFactory

Factory for creating system table

Author:
  Hao wang

Constructor Summary
`SybaseASECatalogSchema.ASESysTableFactory()`

Method Summary
`Table` `createTable(java.sql.ResultSet rs)` Creates and initializes a table object based on the meta-data in the result set.
`org.eclipse.emf.ecore.EClass` `getTableEClass()`
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes a table object based on the meta-data in the result set.
`void` `setSupportedColumns(java.util.Set supportedColumns)` Specify the column names supported by the result set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASECatalogSchema.ASESysTableFactory

    public SybaseASECatalogSchema.ASESysTableFactory()

Method Detail

### createTable

    public Table createTable(java.sql.ResultSet rs)
                      throws java.sql.SQLException

  Description copied from interface: `JDBCTableLoader.ITableFactory`
  Creates and initializes a table object based on the meta-data in the result set.

  Specified by:
    `createTable` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Table object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### getTableEClass

    public org.eclipse.emf.ecore.EClass getTableEClass()

  Specified by:
    `getTableEClass` in interface `JDBCTableLoader.ITableFactory`
  Returns:
    the EClass used to represent the routine objects created by this factory. This is used to identify existing objects in the model during a refresh (e.g. to reuse the object, preventing external references from breaking).

### setSupportedColumns

    public void setSupportedColumns(java.util.Set supportedColumns)

  Description copied from interface: `JDBCTableLoader.ITableFactory`
  Specify the column names supported by the result set. These names can be used to determine whether or not a specific ResultSet.get*() method is available for a particular named column.

  Specified by:
    `setSupportedColumns` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `supportedColumns` - column names defined within the result set.

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from interface: `JDBCTableLoader.ITableFactory`
  Initializes a table object based on the meta-data in the result set. The table object may be a new table requiring initialization or an existing table that is being reinitialized.

  Specified by:
    `initialize` in interface `JDBCTableLoader.ITableFactory`
  Parameters:
    `table` - the table to initialize
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong